Subject: Re: [PATCH 2/2] approxidate: allow ISO-like dates far in the future

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Nov 2014 14:36:53 -0800

Jeff King <[email-masked]> writes:

> On Thu, Nov 13, 2014 at 01:11:46PM -0800, Junio C Hamano wrote:
>
>> Jeff King <[email-masked]> writes:
>> 
>> >  		if (c != '.' &&
>> > -		    is_date(num3, num, num2, refuse_future, now, tm))
>> > +		    is_date(num3, num, num2, refuse_future, now, tm, 0))
>> >  			break;
>> 
>> Doesn't the new argument '0', which is "allow-future", look somewhat
>> strange when we are already passing refuse_future?
>
> To be honest, I had trouble figuring out what the name "refuse_future"
> really meant. We do skip the future check, but it also means that
> is_date will munge the "struct tm" directly, even if we do not find a
> valid date. That worried me a bit.

Ah, OK.  That worries me, too, now you mention it.  I just didn't
see it myself ;-)
>
> But yeah, in theory, the callers I wanted to tweak can just pass in a
> NULL refuse_future.
>
> -Peff